com.dlsc.flexgantt.model.gantt

## Class DefaultEventObject

- java.lang.Object
- - com.dlsc.flexgantt.model.AbstractPropertiesOwner
  - - com.dlsc.flexgantt.model.gantt.DefaultTimelineObject
    - - com.dlsc.flexgantt.model.gantt.DefaultEventObject

- All Implemented Interfaces:
    ITimelineObject, IPropertiesOwner, Comparable<ITimelineObject>

      public class DefaultEventObject
      extends DefaultTimelineObject

  An event object is a timeline object that always represents events and never activities. An event is defined as being a timeline object that has a time span with equal start and end times (while an activity has a duration).
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventObject()` Constructs a new event object (initial time span will be the undefined time span (`TimeSpan.UNDEFINED`).
    `DefaultEventObject(ITimeSpan timeSpan)` Constructs a new event object.
    `DefaultEventObject(String name)` Constructs a new event object.
    `DefaultEventObject(String name, ITimeSpan timeSpan)` Constructs a new event object.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.model.gantt.DefaultTimelineObject

      `addChild, compareTo, getChildren, getDragActions, getLabel, getLineIndex, getPopupObject, getPopupTitleObject, getStatus, getTimeSpan, getUserObject, isDeletable, isDurationChangeable, isInPlaceEditable, isParent, isSelectable, isStartTimeChangeable, removeChild, setChildren, setChildren, setDeletable, setDragActions, setDurationChangeable, setInPlaceEditable, setLabel, setLineIndex, setPopupObject, setPopupTitleObject, setSelectable, setStartTimeChangeable, setStatus, setTimeSpan, setUserObject, toString`

    - ### Methods inherited from class com.dlsc.flexgantt.model.AbstractPropertiesOwner

      `getProperty, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.model.IPropertiesOwner

      `getProperty, setProperty`

- - ### Constructor Detail

    - #### DefaultEventObject

          public DefaultEventObject(String name,
                                    ITimeSpan timeSpan)

      Constructs a new event object.
      Parameters:
        `name` - the name of the object
        `timeSpan` - the time span of the object
      Since:
        1.0

    - #### DefaultEventObject

          public DefaultEventObject(String name)

      Constructs a new event object.
      Parameters:
        `name` - the name of the object
      Since:
        1.0

    - #### DefaultEventObject

          public DefaultEventObject(ITimeSpan timeSpan)

      Constructs a new event object.
      Parameters:
        `timeSpan` - the time span of the object
      Since:
        1.0

    - #### DefaultEventObject

          public DefaultEventObject()

      Constructs a new event object (initial time span will be the undefined time span (`TimeSpan.UNDEFINED`).
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.